Collect
/- Process Installment Schedule
Gets all of the installment schedules in the system.
Creates a new installment schedule record that does not already exist.
Execute Batch Operations
Returns all installment schedules by order id
Returns a installment schedule from the system by its ID.
Returns a installment schedule from the system by its ID.
Partially updates a installment schedule with the specified ID.
Updates a installment schedule with the specified ID.
Process Installment Sched...
Will process the schedule, creating invoices/payments or orders as necessary
Security
knox-authorizer
The request payload
If this is associated with a billing action, the information is here
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/installmentSchedules/{tenantId}/process
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/installmentSchedules/{tenantId}/process
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/installmentSchedules/{tenantId}/process' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"batch_id": "string",
"billing_run_action_id": "string",
"billing_run_id": "string",
"entry_ids": [
"string"
],
"process_by": "entry ids",
"reference_date": "2019-08-24T14:15:22Z",
"schedule_id": "string"
}'Response
{}